aboutsummaryrefslogtreecommitdiff
path: root/auto-void-packages/commit-push-pr.sh
diff options
context:
space:
mode:
authorclyhtsuriva <aimeric@adjutor.xyz>2024-10-17 21:21:02 +0200
committerclyhtsuriva <aimeric@adjutor.xyz>2024-10-17 21:21:02 +0200
commit86592018173bd1916fa7c93924259c6e21e91ffd (patch)
tree15bbcb171bdc181c3a2f4b7a4e93979634181c3e /auto-void-packages/commit-push-pr.sh
parentfc05941c60194547286fdceb93b5a0fc85545310 (diff)
Mostly working on the build loop in auto-build
Also adding a check for the test status in commit-push-pr.sh
Diffstat (limited to 'auto-void-packages/commit-push-pr.sh')
-rwxr-xr-xauto-void-packages/commit-push-pr.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/auto-void-packages/commit-push-pr.sh b/auto-void-packages/commit-push-pr.sh
index 769a3cd..687adc7 100755
--- a/auto-void-packages/commit-push-pr.sh
+++ b/auto-void-packages/commit-push-pr.sh
@@ -10,26 +10,35 @@ printf "tested: yes/briefly/no\n"
printf "path (optional): path of architectures file, defaults to '\$HOME/workbench/auto-void-packages/architectures.txt'\n"
}
+###
[ -z "$1" ] || [ -z "$2" ] || [ -z "$3" ] && helpy && exit 1
PKG="$1"
VER="$2"
-TESTED="$3"
+tested="$3"
archs_fp="${4:-$HOME/workbench/auto-void-packages/architectures.txt}"
+
+# The third variable must be yes, briefly or no
+[[ ! $tested =~ (yes|briefly|no) ]] && helpy && exit 1
+
+###
+
printf "Updating %s to %s.\n" "$PKG" "$VER"
pushd ~/workbench/void-packages || exit 1
+# git stuff
git add "srcpkgs/$PKG" && \
git commit -m "$PKG: update to $VER" && \
git push origin "$PKG-update"
ARCHS=$(/bin/cat "$archs_fp")
+# github stuff
gh pr create \
--title "$PKG: update to $VER" \
--body "#### Testing the changes
-- I tested the changes in this PR: **$TESTED**
+- I tested the changes in this PR: **$tested**
#### Local build testing
- I built this PR locally for my native architecture, x86_64